<?php
namespace FiloBlu\Flow\Model\Filters;

/**
 * Class SelectTranslation
 * @package FiloBlu\Flow\Model\Filters
 */
class SelectTranslation extends AbstractFilter {
    /**
     * @param $value
     * @param $args
     * @return mixed|string
     */
    public function filter($value,$args){
        if(trim($value) == ''){
            return '';
        }

        $default_attribute = (int)$args['default'];
        $default_value = $this->_row[$default_attribute];
        return $default_value.';'.$value;
    }
}
